//
//  AppDelegate.m
//  ADLauncher
//
//  Created by apple on 2017/8/18.
//  Copyright © 2017年 JIABIANWANGLUO. All rights reserved.
//

#import "AppDelegate.h"

#import "WCYADImageView.h"

#import "HomeViewController.h"
#import "ADViewController.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    // 第一种方法添加view
//    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
//    self.window.backgroundColor = [UIColor whiteColor];
//    UINavigationController *naviRoot = [[UINavigationController alloc] initWithRootViewController:[[HomeViewController alloc]init]];
//    self.window.rootViewController = naviRoot;
//    [self.window makeKeyAndVisible];
//    
//    [self addADView];       // 添加广告图
//    [self getADImageURL];
//    return YES;
    
    // 第二种方法 通过设置rootviewcontroller来实现 广告的相关代码鞋子啊ADViewController里面。
     self.window = [[UIWindow alloc]initWithFrame:[UIScreen mainScreen].bounds];
     self.window.rootViewController = [[ADViewController alloc] init];
     [self.window makeKeyAndVisible];
     return YES;

}

/** 添加广告图 */
- (void)addADView
{
    WCYADImageView *adView = [[WCYADImageView alloc] init];
    adView.tag = 100;
    adView.duration = 5;
    adView.waitTime = 3;
    adView.skipType = SkipButtonTypeNormalTimeAndText;
    adView.adImageTapBlock = ^(NSString *content) {
        NSLog(@"%@", content);
#warning 下面的Push导航栏跳转 不跳转 在解决中  为了实现跳转现在是用的通知
        //        NewWorkViewController *vc = [[NewWorkViewController alloc] init];
        //        //        [self.window.rootViewController.navigationController pushViewController:vc animated:YES];
        //
        //        //此处不要直接取keyWindow
        //        UIViewController* rootVC = [[UIApplication sharedApplication].delegate window].rootViewController;
        //        [rootVC.navigationController pushViewController:vc animated:YES];
        
        [[NSNotificationCenter defaultCenter] postNotificationName:@"pushtoad" object:nil userInfo:nil];
    };
    [self.window addSubview:adView];
}

/** 获取广告图URL */
- (void)getADImageURL
{
    // 此处推荐使用tag来获取adView，勿使用全局变量。因为在AppDelegate中将其设为全局变量时，不会被释放
    WCYADImageView *adView = (WCYADImageView *)[self.window viewWithTag:100];
    
    // 模拟从服务器上获取广告图URL
    
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(2.5 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
    
        NSString *urlString = @"http://s8.mogucdn.com/p2/170223/28n_4eb3la6b6b0h78c23d2kf65dj1a92_750x1334.jpg";
        
        [adView reloadAdImageWithUrl:urlString]; // 加载广告图（如果没有设置广告图设置为空）
    });
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}


@end
